## netbiff-0.9.18.tar.gz

=== Makefile ===
# Automatically generated by mmake; do not edit!

all: \
netbiff netbiffd-imap netbiffd-file

action.o: \
compile action.c action.h xlib.h gui.h connection.h buffer.h
	./compile action.c

auto_home.shlib: \
conf-home
	echo "auto_home=\"`head -n 1 conf-home`\"" > auto_home.shlib

buffer.o: \
compile buffer.c buffer.h xlib.h
	./compile buffer.c

catscript: \
warn-auto.sh catscript.sh
	cat warn-auto.sh catscript.sh > catscript
	chmod 755 catscript

cflags:
	pkg-config --cflags gtk+-2.0 > cflags 2>/dev/null || true

child.o: \
compile child.c child.h
	./compile child.c

compile: \
warn-auto.sh conf-cc cflags
	( cat warn-auto.sh; \
	echo exec "`head -n 1 conf-cc`" "`cat cflags`" '-c $${1+"$$@"}' \
	) > compile
	chmod 755 compile

conf.o: \
compile conf.c conf.h connection.h action.h buffer.h xlib.h \
defaults.h dir.h
	./compile conf.c

connection.o: \
compile connection.c connection.h action.h buffer.h xlib.h gui.h
	./compile connection.c

dir.o: \
compile dir.c dir.h xlib.h
	./compile dir.c

do_install: \
catscript warn-auto.sh do_install.sh auto_home.shlib hier.shlib
	./catscript do_install warn-auto.sh auto_home.shlib hier.shlib \
	do_install.sh
	sh -n do_install
	chmod 755 do_install

gtk.h:
	(if pkg-config gtk+-2.0; then echo '#define GUI_GTK'; fi) >gtk.h

gtk.lib:
	pkg-config --libs gtk+-2.0 > gtk.lib 2>/dev/null || true

gui.o: \
compile gui.c gui.h connection.h action.h buffer.h xlib.h
	./compile gui.c

gui_gtk.o: \
compile gui_gtk.c gtk.h gui.h connection.h action.h buffer.h conf.h \
proto.h xlib.h flagup.xpm flagdown.xpm yes.xpm no.xpm
	./compile gui_gtk.c

gui_text.o: \
compile gui_text.c gui.h connection.h action.h buffer.h proto.h \
xlib.h conf.h
	./compile gui_text.c

home.o: \
compile home.c home.h xlib.h
	./compile home.c

imap.o: \
compile imap.c imap.h util.h
	./compile imap.c

install: \
all do_install
	./do_install

load: \
warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -n 1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

nbproto.o: \
compile nbproto.c nbproto.h util.h
	./compile nbproto.c

netbiff: \
load netbiff.o action.o buffer.o child.o conf.o connection.o dir.o \
gui.o gui_gtk.o gui_text.o home.o proto.o xlib.o gtk.lib
	./load netbiff action.o buffer.o child.o conf.o connection.o dir.o \
	gui.o gui_gtk.o gui_text.o home.o proto.o xlib.o `cat gtk.lib`

netbiff.o: \
compile netbiff.c child.h conf.h connection.h action.h buffer.h \
defaults.h gui.h home.h proto.h xlib.h
	./compile netbiff.c

netbiffd-file: \
load netbiffd-file.o nbproto.o util.o
	./load netbiffd-file nbproto.o util.o

netbiffd-file.o: \
compile netbiffd-file.c nbproto.h
	./compile netbiffd-file.c

netbiffd-imap: \
load netbiffd-imap.o nbproto.o imap.o util.o ssl.lib
	./load netbiffd-imap nbproto.o imap.o util.o `cat ssl.lib`

netbiffd-imap.o: \
compile netbiffd-imap.c imap.h nbproto.h
	./compile netbiffd-imap.c

proto.o: \
compile proto.c proto.h connection.h action.h buffer.h xlib.h gui.h \
conf.h
	./compile proto.c

ssl.lib: \
conf-ssl
	head -n 1 conf-ssl > ssl.lib

util.o: \
compile util.c util.h
	./compile util.c

xlib.o: \
compile xlib.c xlib.h gui.h connection.h action.h buffer.h defaults.h
	./compile xlib.c

clean:
	rm -rf `cat TARGETS`

=== debian/changelog ===
netbiff (0.9.18-1) unstable; urgency=low

  * New upstream release.

 -- Jeff King <peff-netbiff@peff.net>  Mon,  7 Feb 2005 03:14:17 -0500

=== debian/control ===
Source: netbiff
Section: mail
Priority: optional
Maintainer: Jeff King <peff-netbiff@peff.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: netbiff
Architecture: any
Depends: ${shlibs:Depends}
Description: Text and GTK-based mail notification utility
 Netbiff is an enhanced version of the traditional biff, featuring
 multiple connections, user-defined biff/reset actions, and backend
 support for many mail clients.
 .
 This package contains a version built with the text and GTK interfaces,
 as well as file and imap backends.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	echo /usr >conf-home
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/netbiff

binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
